Add Source
curl --request POST \
--url https://api.revring.ai/v1/knowledge-bases/{id}/sources \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"sourceType": "text",
"displayName": "<string>",
"content": "<string>"
}
'import requests
url = "https://api.revring.ai/v1/knowledge-bases/{id}/sources"
payload = {
"sourceType": "text",
"displayName": "<string>",
"content": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceType: 'text', displayName: '<string>', content: '<string>'})
};
fetch('https://api.revring.ai/v1/knowledge-bases/{id}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledgeBaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"content": "<string>",
"originalUrl": "<string>",
"mimeType": "<string>",
"fileSize": 123,
"errorMessage": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}{
"error": "not_found"
}Knowledge Base Sources
Add Source
Add a source to a knowledge base. Supports three source types:
- Text: Send JSON with
sourceType: "text",displayName, andcontent - URL: Send JSON with
sourceType: "url"andoriginalUrl - File: Send
multipart/form-datawith afilefield (max 20MB)
Maximum of 10 sources per knowledge base. Sources are processed asynchronously.
POST
/
knowledge-bases
/
{id}
/
sources
Add Source
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Knowledge base ID
Body
application/jsonmultipart/form-data
Response
Source added
A source within a knowledge base
Show child attributes
Show child attributes
⌘I